%define languageenglazy Belorussian
%define languagecode    be
%define lc_ctype        be_BY

Name:           hunspell-%{languagecode}
Version:        1.1
Release:        %mkrel 15
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+ and LGPLv2+
Group:          System/Internationalization
URL:            http://extensions.services.openoffice.org/project/dict-be-official
Source0:        http://extensions.services.openoffice.org/files/2412/1/dict-%{languagecode}-official.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-be
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated - nothing to obsolete for Belorussian
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p %{languagecode}-official.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{languagecode}-official.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.1-15.mga9
+ Revision: 1801823
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1-14.mga8
+ Revision: 1491738
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1-13.mga7
+ Revision: 1263896
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 1.1-12.mga6
+ Revision: 935423
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-11.mga5
+ Revision: 738812
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-10.mga5
+ Revision: 680214
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.1-9.mga4
+ Revision: 505599
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1-8.mga3
+ Revision: 353386
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.1-7.mga3
+ Revision: 325155
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1.1-6.mga2
+ Revision: 224559
- add requirement on locales (mga#4632)

* Mon Jan 16 2012 kamil <kamil> 1.1-5.mga2
+ Revision: 196627
- fix spellin of the language
- adapt the package to policies
- drop hyphen subpackage and change it to stand-alone

* Thu Mar 24 2011 ahmad <ahmad> 1.1-4.mga1
+ Revision: 76998
- fix hyphen-be Group

* Sat Mar 12 2011 dmorgan <dmorgan> 1.1-3.mga1
+ Revision: 68668
- imported package hunspell-be


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 23 2010 Caolán McNamara <caolanm@redhat.com> - 1.1-2
- add README_hyph_be_BY to subpackage

* Wed Sep 23 2009 Caolán McNamara <caolanm@redhat.com> - 1.1-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 01 2009 Caolán McNamara <caolanm@redhat.com> - 1.0.0-1
- latest version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 28 2008 Caolán McNamara <caolanm@redhat.com> - 0.1-1
- initial version
